package message.portlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.portlet.*;

import message.MessageHelper;

public class Portlet2 extends GenericPortlet {

	protected void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {
		String id = this.getInstanceID(request);
        String msg_session_id = MessageHelper.getSessionID(request);
		MessageHelper.loadPrefs(request, id, msg_session_id);
		
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();

		out.println("<b>Message Session ID:</b> "+msg_session_id+"<br/>");
		out.println("<b>Portlet App:</b> "+request.getContextPath()+"<br/>");
		out.println("<b>Portlet2</b>:<br/>");
		
		PortletURL aURL = response.createActionURL();
		aURL.setParameter("ACTION", "doform");
		
		MessageHelper msgh = new MessageHelper(request.getPortletSession(true), id, msg_session_id);
		String val = (String)msgh.get("c_val");
		String val1 = (String)msgh.get("a_val");
		String val2 = (String)msgh.get("b_val");
		out.println("c_val: "+val+"<br/>");
		out.println("a_val: "+val1+"<br/>");
		out.println("b_val: "+val2+"<br/>");
		
		
		
		out.println("<form action=\""+aURL+"\" method=\"POST\">");
		out.println("<input type=\"text\" name=\"remoteval\" value=\""+val+"\"/><br/>");
		out.println("</form>");
		
	}
	
	public String getInstanceID(PortletRequest request){
		return "Portlet2."+MessageHelper.getPortletID(request);
	}
	

}
