/* Copyright 2005-2006 Michelle Osmond
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

package message;

/**
 * @author Michelle Osmond
 * @version 1.0
 */
public interface MessageConstants {

    public final static int INPUT = 0;
    public final static int OUTPUT = 1;

	public static String MSG_CENTRE_KEY = "message.MessageCentre";
    public static String MSG_SESSION_ID_RETRIEVER = "message.SessionIDRetriever";
	public static String MSG_PORTLET_ID = "message.portletID";
	public static String MSG_LOADED = "message.loadedMappings";

	public static String PREF_IN_PREFIX = "MsgInput";	
	public static String PREF_NAME= "Name";
	public static String PREF_SOURCENAME= "SourceName";	
	public static String PREF_SOURCENS= "SourceNamespace";
	public static String PREF_OUT_PREFIX = "MsgOutput";	
	public static String PREF_PUBLISHNAME= "PublishName";
	public static String PREF_PUBLISHNS= "PublishNamespace";

	public static String NS_LOCAL = "local";
}