package message.portlets;

import java.io.IOException;

import javax.portlet.*;

public abstract class JSPPortlet extends GenericPortlet
{

  /** 
   * function to include a jsp or servlet.
   */
  protected void include( RenderRequest request, 
                           RenderResponse response, 
                           String path )
    throws PortletException, IOException
  {
    PortletContext ctx = getPortletContext();
    PortletRequestDispatcher dispatcher = ctx.getRequestDispatcher(path);
	if (dispatcher!=null){
    	dispatcher.include(request, response);
	} else {
		System.out.println("Unable to dispatch to "+path);
	}
  }

}
